// 第三方字体库调用
export const loadFont = () => {
	// 所有的.tff文件
	const fontsArr = [
		'MiSans-Semibold',
		'MiSans-Normal',
		'MiSans-Bold',
		'MiSans-Medium'
	]

	fontsArr.forEach(itm => {
		wx.loadFontFace({
			family: `${itm}`,
			global: true, //是否全局生效
			source: `https://minio.menduner.com/dev/font/${itm}-simp.ttf`, //字体资源的地址
			success: function(e) {
				console.log(itm, '===>字体调用成功', e);
			},
			fail: function(e) {
				console.log(itm, '===>字体调用失败', e);
			}
		})
	})
}